%define dont_strip 1
%define basever 13

Summary:	Remote Control Application
Name:		teamviewer
Version:	13.0.9865
Release:	6
Vendor:		TeamViewer GmbH
License:	Proprietary; includes substantial Free Software components, notably the Wine Project.
Group:		Networking/Remote access
Url:		http://www.teamviewer.com/
%ifarch x86_64
Source0:	https://download.teamviewer.com/download/%{name}_%{version}_amd64.tar.xz
%else
Source0:	https://download.teamviewer.com/download/%{name}_%{version}_i386.tar.xz
%endif
Source1:	teamviewer.rpmlintrc
AutoReqProv:	no
Requires:	bash
Requires:	desktop-common-data
Requires:	expat
Requires:	%{_lib}alsa2
Requires:	%{_lib}dbus-1_3
Requires:	%{_lib}fontconfig1
Requires:	%{_lib}freetype6
Requires:	%{_lib}jpeg62
Requires:	%{_lib}png0
Requires:	%{_lib}sm6
Requires:	%{_lib}xext6
Requires:	%{_lib}xtst6
Requires:	%{_lib}xdamage1
Requires:	%{_lib}xfixes3
Requires:	%{_lib}xinerama1
Requires:	%{_lib}xrandr2
Requires:	%{_lib}xrender1
Requires:	freetype
Requires:	lsb >= 4.0
Requires:	glibc >= 2.13
Requires:	%{_lib}stdc++6 >= 4.5.2
Requires:	zlib
Conflicts:	teamviewer9 teamviewer8 teamviewer7 teamviewer6 teamviewer5 teamviewer10 teamviewer12
Provides:	teamviewer%{basever}

%description
TeamViewer is a remote control application. 
TeamViewer provides easy, fast and secure remote access
to Linux, Windows PCs, and Macs.

TeamViewer is free for personal use.
You can use TeamViewer completely free of charge
to access your private computers or to help your friends 
with their computer problems.

To buy a license for commercial use, please visit http://www.teamviewer.com

%files
%doc README.urpmi
%{_bindir}/%{name}*
%{_sbindir}/%{name}*
/etc/%{name}
/opt/%{name}
/var/log/%{name}
%{_datadir}/applications/%{name}.desktop
%{_unitdir}/%{name}d.service
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_iconsdir}/hicolor/*/apps/%{name}.png

%post
%systemd_post %{name}d.service

%preun
%systemd_preun %{name}d.service

%postun
%systemd_postun_with_restart %{name}d.service

#----------------------------------------------------------------

%prep
%setup -qn %{name}

%build

%install
# extract TeamViewer archive
mkdir -p %{buildroot}
tar xf %{SOURCE0} -C %{buildroot}/
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/var/log
mv %{buildroot}/%{name} %{buildroot}/opt/
chmod -R ugoa+w %{buildroot}/opt/%{name}

install -d %{buildroot}%{_datadir}/applications

cat > README.urpmi <<EOF
The 32-bit version of the device no longer works 
in a 64-bit environment, use the 64-bit version!

32-разрядная версия teamviewer больше не работает 
в 64 разрядном окружении, используйте 64 разрядную 
версию!
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=TeamViewer %{basever}
Comment=TeamViewer Remote Control Application
Comment[ru]=Утилита для удаленного управления другим ПК
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Network;
EOF

ln -s /opt/%{name}/tv_bin/script/%{name} %{buildroot}%{_sbindir}/teamviewer
ln -s /opt/%{name}/logfiles %{buildroot}/var/log/%{name}
ln -s /opt/%{name}/config %{buildroot}/etc/%{name}

pushd %{buildroot}%{_bindir}
ln -s teamviewer teamviewer%{basever}
popd

install -D -p -m 644 %{buildroot}/opt/teamviewer/tv_bin/script/teamviewerd.service %{buildroot}%{_unitdir}/%{name}d.service

# consolehelper configuration
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=root
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/%{name}  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

# install menu to hicolor theme icons
pushd %{buildroot}/opt/teamviewer/tv_bin/desktop/
for N in 16 20 24 32 48 256;
do
install -D -m 0644 teamviewer_${N}.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done
popd

%changelog
